org.keycloak.events

## Class Event

- java.lang.Object
- - org.keycloak.events.Event

-     public class Event
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `clone()`
    `String` | `getClientId()`
    `Map<String,String>` | `getDetails()`
    `String` | `getError()`
    `String` | `getIpAddress()`
    `String` | `getRealmId()`
    `String` | `getSessionId()`
    `long` | `getTime()`
    `EventType` | `getType()`
    `String` | `getUserId()`
    `void` | `setClientId(String clientId)`
    `void` | `setDetails(Map<String,String> details)`
    `void` | `setError(String error)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setRealmId(String realmId)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTime(long time)`
    `void` | `setType(EventType type)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getType

          public EventType getType()

    - #### setType

          public void setType(EventType type)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDetails

          public Map<String,String> getDetails()

    - #### setDetails

          public void setDetails(Map<String,String> details)

    - #### clone

          public Event clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.